# Uses of Class
org.egothor.stemmer.Trie

Packages that use Trie
Package
Description
org.apache.lucene.analysis.pl
Analyzer for Polish.
org.apache.lucene.analysis.stempel
Stempel: Algorithmic Stemmer
org.egothor.stemmer
Egothor stemmer API.

- ## Uses of Trie in org.apache.lucene.analysis.pl

  Methods in org.apache.lucene.analysis.pl that return Trie
  Modifier and Type
  Method
  Description
  `static Trie`
  PolishAnalyzer.`getDefaultTable()`
  Returns an unmodifiable instance of the default stemmer table.

- ## Uses of Trie in org.apache.lucene.analysis.stempel

  Methods in org.apache.lucene.analysis.stempel that return Trie
  Modifier and Type
  Method
  Description
  `static Trie`
  StempelStemmer.`load(InputStream stemmerTable)`
  Load a stemmer table from an inputstream.
  Constructors in org.apache.lucene.analysis.stempel with parameters of type Trie
  Modifier
  Constructor
  Description
  ``
  `StempelStemmer(Trie stemmer)`
  Create a Stemmer using pre-loaded stemmer table

- ## Uses of Trie in org.egothor.stemmer

  Subclasses of Trie in org.egothor.stemmer
  Modifier and Type
  Class
  Description
  `class`
  `MultiTrie`
  The MultiTrie is a Trie of Tries.
  `class`
  `MultiTrie2`
  The MultiTrie is a Trie of Tries.
  Methods in org.egothor.stemmer that return Trie
  Modifier and Type
  Method
  Description
  `Trie`
  Gener.`optimize(Trie orig)`
  Return a Trie with infrequent values occurring in the given Trie removed.
  `Trie`
  Lift.`optimize(Trie orig)`
  Optimize (eliminate rows with no content) the given Trie and return the reduced Trie.
  `Trie`
  Optimizer.`optimize(Trie orig)`
  Optimize (remove empty rows) from the given Trie and return the resulting Trie.
  `Trie`
  Reduce.`optimize(Trie orig)`
  Optimize (remove holes in the rows) the given Trie and return the restructured Trie.
  `Trie`
  MultiTrie.`reduce(Reduce by)`
  Remove empty rows from the given Trie and return the newly reduced Trie.
  `Trie`
  MultiTrie2.`reduce(Reduce by)`
  Remove empty rows from the given Trie and return the newly reduced Trie.
  `Trie`
  Trie.`reduce(Reduce by)`
  Remove empty rows from the given Trie and return the newly reduced Trie.
  Methods in org.egothor.stemmer with parameters of type Trie
  Modifier and Type
  Method
  Description
  `Trie`
  Gener.`optimize(Trie orig)`
  Return a Trie with infrequent values occurring in the given Trie removed.
  `Trie`
  Lift.`optimize(Trie orig)`
  Optimize (eliminate rows with no content) the given Trie and return the reduced Trie.
  `Trie`
  Optimizer.`optimize(Trie orig)`
  Optimize (remove empty rows) from the given Trie and return the resulting Trie.
  `Trie`
  Reduce.`optimize(Trie orig)`
  Optimize (remove holes in the rows) the given Trie and return the restructured Trie.